Library Version 18.1.40

DB_TXN->get_priority()
Prev | Chapter 12. The DB_TXN Handle | Next

## DB_TXN->get_priority()

    #include <db.h>

    int
    DB_TXN->get_priority(DB_TXN *tid, u_int32_t *priority);

The `DB_TXN->get_priority()` method gets the priority value of the specified transaction.

The `DB_TXN->get_priority()` method may be called at any time during the life of the transaction.

The `DB_TXN->get_priority()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### priority

Upon return, the priority parameter will point to a value between 0 and 2^32-1.

### Errors

The `DB_TXN->get_priority()` method may fail and return one of the following non-zero errors:

#### EINVAL

An invalid flag value or parameter was specified.

### Class

DB_ENV, DB_TXN

### See Also

Transaction Subsystem and Related Methods

Prev | Up | Next
DB_TXN->get_name() | Home | DB_TXN->id()